Package uk.ac.starlink.topcat.plot

# Class RoundingSpinner.RoundingSpinnerModel

java.lang.Object
javax.swing.AbstractSpinnerModel
uk.ac.starlink.topcat.plot.RoundingSpinner.RoundingSpinnerModel

All Implemented Interfaces:
  `Serializable`, `SpinnerModel`

Enclosing class:
  `RoundingSpinner`

public static class RoundingSpinner.RoundingSpinnerModel extends AbstractSpinnerModel
Spinner model used for a rounding spinner.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.swing.AbstractSpinnerModel

`listenerList`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getNextValue()`
`Object`
`getPreviousValue()`
`Object`
`getValue()`
`void`
`setValue(Object val)`

### Methods inherited from class javax.swing.AbstractSpinnerModel

`addChangeListener, fireStateChanged, getChangeListeners, getListeners, removeChangeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getNextValue

public Object getNextValue()

### getPreviousValue

public Object getPreviousValue()

### getValue

public Object getValue()

### setValue

public void setValue(Object val)